use state::AppState;

pub mod model_response;
pub mod model_selection;
pub mod prompt_input;
pub mod state;

pub fn main(models_available: Vec<String>) -> eframe::Result {
    let options = eframe::NativeOptions {
        viewport: eframe::egui::ViewportBuilder::default().with_inner_size([900.0, 600.0]),
        ..Default::default()
    };

    eframe::run_native(
        "Groq Model Comparison",
        options,
        Box::new(|cc| Ok(Box::new(AppState::new(cc, models_available)))),
    )
}
